Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1126283 - [RHEVM GUI] in 'Add Users and Groups' dialog the column size should be limited.
Summary: [RHEVM GUI] in 'Add Users and Groups' dialog the column size should be limited.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-08-04 05:18 UTC by Kobi Hakimi
Modified: 2016-02-10 19:46 UTC (History)
7 users (show)

Fixed In Version: vt3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:13:26 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
Long first name with scrollbar and we can't see the other columns (deleted)
2014-08-04 05:18 UTC, Kobi Hakimi
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31260 master MERGED webadmin: 'Add Users and Groups' dialog the column size should be limited Never
oVirt gerrit 32334 ovirt-engine-3.5 MERGED webadmin: 'Add Users and Groups' dialog the column size should be limited Never

Description Kobi Hakimi 2014-08-04 05:18:37 UTC
Created attachment 923766 [details]
Long first name with scrollbar and we can't see the other columns

Description of problem:
[RHEVM GUI] in 'Add Users and Groups' dialog the column size should be limited.

Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager Version: 3.4.0-0.21.el6ev 
 oVirt Engine Version: 3.5.0-0.0.master.20140715172116.git4687dc1.el6 

How reproducible:
Always

Steps to Reproduce:
1. Import LDAP with user or group which the first/last/user name is long(more then 100 chars)
   for example: qa.lab.tlv.redhat.com/QA-All-Users/CBC-USERS/CBC_GROUP_1_aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa
2. Go to Users tab and click on Add.
3. Search for *. 

Actual results:
The column with the long name looks long and we need to scroll right/left to see the other columns

Expected results:
To limit the columns size to that we can see all columns in this dialog without scrolling.
in case we have long name you can truncate it and add three points(...) or/and to be able to resize the columns from the default size.

Additional info:
see attached snapshot

Comment 1 Oved Ourfali 2014-08-04 12:11:45 UTC
Einav - thoughts?
The current dialog looks good to me....

Comment 2 Einav Cohen 2014-08-04 18:16:45 UTC
(In reply to Oved Ourfali from comment #1)
> Einav - thoughts?
> The current dialog looks good to me....

I don't think that we should limit the max column width in any way (i.e. the user should be able to extend the column width as much as he want); question is if this column is being displayed in the enormous width *by default*; I would suggest to reduce the default width of this column (the user will always be able to extend it, if needed). 

truncation + adding of three points ("...") is a global issue and should be tracked separately.

Comment 3 Oved Ourfali 2014-08-05 05:55:44 UTC
Ravi - please set a proper default, as Einav suggested.

Comment 4 Eyal Edri 2014-09-10 20:21:45 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 5 Jiri Belka 2014-09-16 08:40:29 UTC
ok, rhevm-webadmin-portal-3.5.0-0.12.beta.el6ev.noarch

Comment 6 Eyal Edri 2015-02-17 17:13:26 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.